# get_total_nodes

Returns the total number of nodes processed in branch-and-bound.

long long get_total_nodes(lprec *lp);

Return Value

get_total_nodes returns the total number of nodes processed in branch-and-bound of the last solution.

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

Remarks

The get_total_nodes function returns the total number of nodes processed in branch-and-bound of the last solution.
Is only applicable if the model contains integer variables.

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;
      int total_nodes;

      /* Create a new LP model */
      lp = make_lp(0, 0);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      total_nodes = get_total_nodes(lp);

      delete_lp(lp);
      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, get_max_level, get_total_iter